classification
Title: Make ET.XMLParser target aware of namespace prefixes
Type: enhancement Stage: resolved
Components: Library (Lib), XML Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: scoder Nosy List: eli.bendersky, scoder, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-04-20 11:06 by scoder, last changed 2019-05-10 08:25 by scoder. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12885 merged scoder, 2019-04-20 11:30
PR 13226 merged scoder, 2019-05-09 21:26
Messages (3)
msg340571 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2019-04-20 11:06
The XMLPullParser has 'start-ns' and 'end-ns' events, but the parser targets don't see them. They should have "start_ns()" and "end_ns()" callback methods to allow namespace prefix aware parsing.
msg341231 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2019-05-01 19:50
New changeset dde3eebdaa8d2c51971ca704d53af7cbcda8bb34 by Stefan Behnel in branch 'master':
bpo-36676: Namespace prefix aware parsing support for the ET.XMLParser target (GH-12885)
https://github.com/python/cpython/commit/dde3eebdaa8d2c51971ca704d53af7cbcda8bb34
msg342061 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2019-05-10 08:25
New changeset e9a465f3ea22c61e05ffe7b44a69102b25f57db4 by Stefan Behnel in branch 'master':
bpo-36676: Update what's new document. (#13226)
https://github.com/python/cpython/commit/e9a465f3ea22c61e05ffe7b44a69102b25f57db4
History
Date User Action Args
2019-05-10 08:25:34scodersetmessages: + msg342061
2019-05-09 21:26:07scodersetpull_requests: + pull_request13136
2019-05-01 20:36:14scodersetstatus: open -> closed
resolution: fixed
stage: resolved
2019-05-01 19:50:00scodersetmessages: + msg341231
2019-04-20 11:30:51scodersetnosy: + eli.bendersky, serhiy.storchaka

stage: patch review -> (no value)
2019-04-20 11:30:20scodersetkeywords: + patch
stage: patch review
pull_requests: + pull_request12810
2019-04-20 11:24:19scodersettitle: Make TreeBuilder aware of namespace prefixes -> Make ET.XMLParser target aware of namespace prefixes
2019-04-20 11:06:44scodercreate